# Generated by Django 4.2 on 2023-04-20 20:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("lessons", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="lesson",
            name="homework",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="lesson",
            name="summary",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="lesson",
            name="techniques",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name="lesson",
            name="student",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="student",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="payment",
            name="date",
            field=models.DateField(),
        ),
        migrations.AlterField(
            model_name="payment",
            name="student",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="payer",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
